Name: qt
Summary: The Qt GUI application framework: Shared library
Version: 1.42
Release: 3rh51
Source: ftp.troll.no:/qt/source/qt-1.42.tar.gz
Patch: imageio.patch
Copyright: distributable
Group: X11/Libraries
Packager: Troll Tech <info@troll.no>
Provides: qt-egcs-10x
Buildroot: /tmp/qt-1.42-3rh51
Icon: qt.gif

%package devel
Summary: Include files and documentation needed to compile
Group: X11/Libraries
Icon: qt2.gif

%description
Contains the shared library needed to run Qt applications, as well as
the README files for Qt.  Also contains the Qt extension library 
libqimgio for image input/output.


%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.

%prep
%setup -n qt-1.42
%patch -p1

%build
QTDIR=`/bin/pwd` export QTDIR
make linux-g++-shared
LD_LIBRARY_PATH=/usr/X11R6/lib make

%install
chown -R root.root .
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib 
mkdir -p $RPM_BUILD_ROOT/usr/man
cp bin/moc $RPM_BUILD_ROOT/usr/bin/moc
cp lib/libqt.so.1.42 $RPM_BUILD_ROOT/usr/lib
cp lib/libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib
ln -sf libqt.so.1.42 $RPM_BUILD_ROOT/usr/lib/libqt.so.1
ln -sf libqt.so.1 $RPM_BUILD_ROOT/usr/lib/libqt.so
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/libqimgio.so
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/libqimgio.so.0
cp -fR man/. $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt $RPM_BUILD_ROOT/usr/lib/qt/include 
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/html $RPM_BUILD_ROOT/usr/lib/qt/tutorial 
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/examples
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/extensions
cp -fR html $RPM_BUILD_ROOT/usr/lib/qt
cp -fR tutorial $RPM_BUILD_ROOT/usr/lib/qt
cp -fR examples $RPM_BUILD_ROOT/usr/lib/qt
cp -fR extensions $RPM_BUILD_ROOT/usr/lib/qt
rm -fR $RPM_BUILD_ROOT/usr/lib/qt/extensions/imageio/src
cp -fR include/. $RPM_BUILD_ROOT/usr/lib/qt/include
for a in $RPM_BUILD_ROOT/usr/lib/qt/*/*/Makefile ; do
  sed 's-^SYSCONF_MOC.*-SYSCONF_MOC		= /usr/bin/moc-' < $a > ${a}.2
  mv -v ${a}.2 $a
done
rm $RPM_BUILD_ROOT/usr/lib/qt/*/*/*.o
/sbin/ldconfig -v
chown root.root $RPM_BUILD_ROOT/usr/lib/libqt.so.1.42 
chown root.root $RPM_BUILD_ROOT/usr/lib/libqt.so.1 
chown root.root $RPM_BUILD_ROOT/usr/lib/libqt.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/libqt.so* $RPM_BUILD_ROOT/usr/lib/qt

%post
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%postun
/sbin/ldconfig

%files
%doc ANNOUNCE LICENSE README.QT FAQ PORTING README changes-1.40 changes-1.41 changes-1.42
/usr/lib/libqt.so.1.42
/usr/lib/libqt.so.1
/usr/lib/libqt.so
/usr/lib/libqimgio.so.0.1
/usr/lib/libqimgio.so.0
/usr/lib/libqimgio.so

%files devel
/usr/bin/moc
/usr/man/man1/moc.1
/usr/man/man3/*.3qt
/usr/lib/qt/

%changelog

* Tue Dec 30 1998 Kenny Lim <kenny@predawnia.org>
- Added extensions directory to %install
- Changed Makefile to add in imageio compilations
- Added libqimgio.so.0.1 to %install & %file
- Added libqimgio.so.0 to %install & %file
- Added libqimgio.so to %install & %file
